# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_dfk076o6z4/clone/recipe, last modified Fri Dec  1 10:02:12 2023
# ------------------------------------------------

package:
  name: dash
  version: 2.14.2
source:
  fn: dash-2.14.2.tar.gz
  patches:
    - 0001-remove-obsolete-components.patch
  sha256: 602e7b0047cc9c48a81244377b812e79198678ef759a0039dadfe81023e20e96
  url: https://pypi.io/packages/source/d/dash/dash-2.14.2.tar.gz
build:
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_dfk076o6z4/croot/dash_1701446539826/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py39hca03da5_0
requirements:
  build:
    - patch 2.7.6 h1a28f6b_1001
  host:
    - ca-certificates 2023.08.22 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.12 h1a28f6b_0
    - pip 23.3.1 py39hca03da5_0
    - python 3.9.18 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.0.0 py39hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py39hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - ansi2html
    - flask >=1.0.4,<3.1
    - flask-compress
    - importlib-metadata
    - nest-asyncio
    - plotly >=5.0.0
    - python >=3.9,<3.10.0a0
    - requests
    - retrying
    - typing_extensions >=4.1.1
    - werkzeug <3.1
  run_constrained:
    - celery >=5.1.2
    - dash-core-components ==2.0.0
    - dash-html-components ==2.0.0
    - dash-table ==5.0.0
    - diskcache >=5.2.1
    - multiprocess >=0.70.12
    - psutil >=5.8.0
    - redis >=3.5.3
test:
  commands:
    - pip check
  imports:
    - dash.dash
    - dash.dash_table
    - dash.dcc
    - dash.dependencies
    - dash.exceptions
    - dash.html
    - dash.resources
  requires:
    - pip
about:
  description: 'Built on top of Plotly.js, React and Flask, Dash ties modern UI elements
    like dropdowns,

    sliders, and graphs directly to your analytical Python code.

    '
  dev_url: https://github.com/plotly/dash
  doc_url: https://dash.plotly.com/
  home: https://plotly.com/dash/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A Python framework for building reactive web-apps.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: df8100ee-37cf-400d-aeb5-66609e55dbb2
  recipe-maintainers:
    - moorepants
  remote_url: git@github.com:AnacondaRecipes/dash-feedstock.git
  sha: 8b579e77dbf178e1738654b071f8ad354fda8c03
